local _f_icon = BaseMutator.icon
function BaseMutator:icon()
    if self.texture then
        if self.texture.custom then
            return self.texture.path, { 0, 0, 128, 128 }
        else
            return self.texture.path, { self.texture.x or 0, self.texture.y or 0, self.texture.h or 128, self.texture.w or 128 }
        end
    end
    return _f_icon(self)
end

local _f_longdesc = BaseMutator.longdesc
function BaseMutator:longdesc()
    if self.longdesc_id and self.macros then
        return managers.localization:text(self.longdesc_id, self.macros)
    end
    return _f_longdesc(self)
end